#
# spec file for package perl-Test-WWW-Mechanize
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-WWW-Mechanize
Version:        1.44
Release:        2.5
%define cpan_name Test-WWW-Mechanize
Summary:        Testing-specific WWW::Mechanize subclass
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-WWW-Mechanize/
Source:         http://www.cpan.org/authors/id/P/PE/PETDANCE/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp::Assert::More)
BuildRequires:  perl(HTML::TreeBuilder)
BuildRequires:  perl(HTTP::Server::Simple) >= 0.42
BuildRequires:  perl(HTTP::Server::Simple::CGI)
BuildRequires:  perl(LWP) >= 6.02
BuildRequires:  perl(Test::Builder::Tester) >= 1.09
BuildRequires:  perl(Test::LongString) >= 0.15
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(URI::file)
BuildRequires:  perl(WWW::Mechanize) >= 1.68
#BuildRequires: perl(TestServer)
#BuildRequires: perl(Test::WWW::Mechanize)
Requires:       perl(Carp::Assert::More)
Requires:       perl(HTML::TreeBuilder)
Requires:       perl(HTTP::Server::Simple) >= 0.42
Requires:       perl(HTTP::Server::Simple::CGI)
Requires:       perl(LWP) >= 6.02
Requires:       perl(Test::Builder::Tester) >= 1.09
Requires:       perl(Test::LongString) >= 0.15
Requires:       perl(Test::More) >= 0.96
Requires:       perl(URI::file)
Requires:       perl(WWW::Mechanize) >= 1.68
%{perl_requires}

%description
Testing-specific WWW::Mechanize subclass

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.44
  If you want to use the autolint functionality, you'll have to have
  HTML::Lint 2.20.
  [FIXES]
  Custom lint objects don't get reset before they get used, making
  autolint with a custom lint object practically useless.
  https://github.com/petdance/test-www-mechanize/issues/25
  [ENHANCEMENTS]
  Added a $mech->autolint() method so you can turn autolinting on and off
  in mid-program.  Thanks, Mike O'Regan.
  New functions $mech->scrape_text_by_id() and $mech->scrape_text_by_attr()
  let you extract text from your pages.  Convenience function
  $mech->scraped_id_is() makes it easy to scrape and compare in one
  function.
    <h1 id="pagetitle">My Awesome Page!</h1>
    [#] Verify that HTML is there with:
    $mech->scraped_id_is( 'pagetitle', 'My Awesome Page!' );
  [FIXES]
  $mech->has_tag() now handles nested tags more sensibly.  This fixes
  Google Code ticket #1.
  [INTERNALS]
  Explicitly requires Test::Simple 0.94 or higher.
  Brought over t/TestServer.pm from WWW::Mechanize which fixes a number
* Fri Feb 10 2012 coolo@suse.com
- initial package 1.38
  * created by cpanspec 1.78.03
